curl --request POST \
--url https://api.hubapi.com/crm/v3/extensions/calling/inbound-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createEngagement": true,
"engagementProperties": {},
"externalCallId": "<string>",
"finalCallStatus": "BUSY",
"fromNumber": {
"e164Number": "<string>",
"phoneNumberType": "FIXED_LINE",
"extension": "<string>"
},
"potentialRecipientUserIds": [
123
],
"toNumber": {
"e164Number": "<string>",
"phoneNumberType": "FIXED_LINE",
"extension": "<string>"
},
"callStartedTimestamp": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"userId": 123
}
'{
"callerIdMatches": [
{
"callerIdType": "CONTACT",
"objectCoordinates": {
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123
},
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
]
}curl --request POST \
--url https://api.hubapi.com/crm/v3/extensions/calling/inbound-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createEngagement": true,
"engagementProperties": {},
"externalCallId": "<string>",
"finalCallStatus": "BUSY",
"fromNumber": {
"e164Number": "<string>",
"phoneNumberType": "FIXED_LINE",
"extension": "<string>"
},
"potentialRecipientUserIds": [
123
],
"toNumber": {
"e164Number": "<string>",
"phoneNumberType": "FIXED_LINE",
"extension": "<string>"
},
"callStartedTimestamp": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"userId": 123
}
'{
"callerIdMatches": [
{
"callerIdType": "CONTACT",
"objectCoordinates": {
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123
},
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
BUSY, CALLING_CRM_USER, CANCELED, COMPLETED, CONNECTING, FAILED, HOLD, IN_PROGRESS, MISSED, NO_ANSWER, QUEUED, RINGING, UNKNOWN Show child attributes
Show child attributes
successful operation
Show child attributes
Was this page helpful?